# This file is part of Tryton.  The COPYRIGHT file at the top level of
# this repository contains the full copyright notices and license terms.
from trytond.model import (ModelView, ModelSQL, fields,Workflow)
from datetime import datetime

class Recepcion(ModelView,ModelSQL,Workflow):
    "recepcion"
    __name__="taller.recepcion"
    tercero =fields.Many2One("party.party","Tercero" )
    contacto=fields.Many2One("party.contact_mechanism", "Contacto")
    referencia=fields.Char("Referencia")
    fecha_entrada=fields.DateTime("Fecha y hora de entrada")
    descripcion=fields.Text("Descripcion")
    state= fields.Selection([("borrador","Borrador"),("registrado","Registrado")],"Estado")
    

    @classmethod
    def __setup__(cls):
        super(Recepcion,cls).__setup__()
        cls._transitions=({("borrador","registrado"),("registrado","borrador")})
        cls._buttons.update({"registrado":{},"borrador":{} })
    
    @classmethod
    @ModelView.button
    @Workflow.transition("registrado")
    def registrado(cls, records):
        pass

    @classmethod
    @ModelView.button
    @Workflow.transition("borrador")
    def borrador(cls, records):
        pass


    @classmethod
    def default_fecha_entrada(cls):
        return datetime.now()

    @classmethod
    def default_state(cls):
        return "borrador"
